STOFFCellStyle Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
STOFFCellStyle Class Reference

Class to store a cell style. More...

`#include <STOFFCellStyle.hxx>`

## Public Member Functions
| STOFFCellStyle ()
| constructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| add to the propList More...
bool | operator== (STOFFCellStyle const &cellStyle) const
| operator== More...
bool | operator!= (STOFFCellStyle const &cellStyle) const
| operator!= More...

## Public Attributes
librevenge::RVNGPropertyList | m_propertyList
| the property list More...
STOFFVec2i | m_numberCellSpanned
| the cell spanned : by default (1,1) More...
unsigned | m_format
| the cell format : 0 by default More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFCellStyle const &cellStyle)
| operator<< More...

## Detailed Description

Class to store a cell style.

## Constructor & Destructor Documentation

STOFFCellStyle::STOFFCellStyle | ( |  | ) |
| inline

constructor

## Member Function Documentation

void STOFFCellStyle::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

add to the propList

Referenced by STOFFCell::addTo(), and STOFFCellStyle().

bool STOFFCellStyle::operator!= | ( | STOFFCellStyle const & | cellStyle | ) | const
| inline

operator!=

bool STOFFCellStyle::operator== | ( | STOFFCellStyle const & | cellStyle | ) | const

operator==

Referenced by operator!=(), and STOFFCellStyle().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFCellStyle const & | cellStyle
| ) |  |
| friend

operator<<

Referenced by STOFFCellStyle().

## Member Data Documentation

unsigned STOFFCellStyle::m_format

the cell format : 0 by default

Referenced by StarCellAttribute::StarCAttributeUInt::addTo(), operator<<(), and StarFormatManager::updateNumberingProperties().

STOFFVec2i STOFFCellStyle::m_numberCellSpanned

the cell spanned : by default (1,1)

Referenced by addTo(), StarCellAttribute::StarCAttributeMerge::addTo(), operator<<(), and operator==().

librevenge::RVNGPropertyList STOFFCellStyle::m_propertyList

the property list

Referenced by addTo(), StarCellAttribute::StarCAttributeBool::addTo(), StarCellAttribute::StarCAttributeInt::addTo(), StarCellAttribute::StarCAttributeUInt::addTo(), StarCellAttribute::StarCAttributeMargins::addTo(), StarGraphicAttribute::StarGAttributeBorder::addTo(), StarGraphicAttribute::StarGAttributeBrush::addTo(), StarCellAttribute::StarCAttributeProtection::addTo(), StarGraphicAttribute::StarGAttributeShadow::addTo(), operator<<(), and operator==().

The documentation for this class was generated from the following files:

- STOFFCellStyle.hxx
- STOFFCellStyle.cxx